function openmenu(menuid) {
  var curElement,lineName,linElement,srcElement,tagElement;
  curElement = document.all(menuid + "i");
  if (curElement) {
    if (curElement.className !="") {
      lineName   = curElement.className;
      linElement = menuid + "g";
      linElement = document.all(linElement);
      tagElement = menuid + "s";
      tagElement = document.all(tagElement);
      srcElement = menuid + "i";
      srcElement = document.all(srcElement);

      if (tagElement.style.display == "none"){
        tagElement.style.display = "";
        srcElement.src = System_Img.value+"/PuTask1.gif";
        if (lineName == "A"){
          linElement.src = System_Img.value+"/PuLineC.gif";
        } else {
          linElement.src = System_Img.value+"/PuLineD.gif";
        }
      }
    }
  }
}
